/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*
 * Copyright (C) 2000-2001 CodeFactory AB
 * Copyright (C) 2000-2001 Anders Carlsson <andersca@codefactory.se>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include "dom-abstractview.h"

/**
 * dom_AbstractView__get_document:
 * @view: a DomAbstractView
 * 
 * Returns the source DomDocumentView of which this is an DomAbstractView
 * 
 * Return value: a DomDocumentView.
 **/
DomDocumentView *
dom_AbstractView__get_document (DomAbstractView *view)
{
	return DOM_ABSTRACT_VIEW_GET_IFACE (view)->_get_document (view);
}

GType
dom_abstract_view_get_type (void)
{
	static GType dom_abstract_view_type = 0;

	if (!dom_abstract_view_type) {
		static const GTypeInfo dom_abstract_view_info = {
			sizeof (DomAbstractViewIface),
			NULL, /* base_init */
			NULL, /* base_finalize */
			NULL,
			NULL, /* class_finalize */
			NULL, /* class_data */
			0,
			0,   /* n_preallocs */
			NULL
		};

		dom_abstract_view_type = g_type_register_static (G_TYPE_INTERFACE, "DomAbstractView", &dom_abstract_view_info, 0);
		g_type_interface_add_prerequisite (dom_abstract_view_type, G_TYPE_OBJECT);
	}

	return dom_abstract_view_type;
}
